【问题】CeoMax主题—Swoole Compiler 安装向导

(CeoMax主题需要swoole加密扩展,支持PHP7.2~7.4,推荐7.4)


检查当前环境
  • 操作系统 :Linux VM-0-17-centos 3.10.0-1127.19.1.el7.x86_64 #1 SMP Tue Aug 25 17:23:54 UTC 2020 x86_64
  • PHP版本 :8.0.0
  • PHP运行环境 :fpm-fcgi
  • PHP配置文件 :/home/wwwroot/lnmp01/etc/amh-php.ini
  • PHP扩展安装目录 :/home/wwwroot/lnmp01/ext/
  • PHP是否线程安全 :非线程安全
  • 是否安装swoole_loader :未安装

安装和配置Swoole Loader

1 - 点击下载 unix PHP8.0 Swoole Loader扩展文件

2 - 安装Swoole Loader

将刚才下载的Swoole Loader扩展文件()上传到当前PHP的扩展安装目录中:

/home/wwwroot/lnmp01/ext/

3 - 修改php.ini配置(如已修改配置,请忽略此步骤,不必重复添加)

编辑此PHP配置文件:/home/wwwroot/lnmp01/etc/amh-php.ini,在此文件底部结尾处加入如下配置

extension=

注意:需要名称和刚才上传到当前PHP的扩展安装目录中的文件名一致

4 - 重启服务器

重启PHP或者重启服务器

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注